<ng-container *ngIf="errorFilterMessages.length>0">
  <div class="alert alert-warning alert-dismissible fade show" role="alert"
    *ngFor="let errorFilterMessage of errorFilterMessages">
    <strong>Alerta!</strong> {{errorFilterMessage}}

  </div>

</ng-container>

<form>
  <div class="form-row align-items-center">
    <div class="col-auto">
      <label class="sr-only" for="inlineFormInputCantidad">Min</label>
      <div class="input-group input-group-sm mb-2">
        <div class="input-group-prepend">
          <div class="input-group-text">$</div>
        </div>
        <input type="number" class="form-control form-control-sm" id="inlineFormInputCantidad" placeholder="Min"
          name="minValue" [(ngModel)]="minValue">
      </div>
    </div>
    <div class="col-auto">
      <label class="sr-only" for="inlineFormInputCantidad">Max</label>
      <div class="input-group input-group-sm mb-2">
        <div class="input-group-prepend">
          <div class="input-group-text">$</div>
        </div>
        <input type="number" class="form-control form-control-sm" id="inlineFormInputCantidad" placeholder="Max"
          name="maxValue" [(ngModel)]="maxValue">
      </div>
    </div>
    <div class="col-auto">
      <label class="sr-only" for="inlineFormInputCantidad">Cantidad</label>
      <div class="input-group input-group-sm mb-2">
        <input type="number" class="form-control form-control-sm" id="inlineFormInputCantidad" placeholder="Cantidad"
          name="quantity" [(ngModel)]="quantity">
      </div>
    </div>
    <div class="col-auto">
      <div class="form-check mb-2">
        <input class="form-check-input" type="checkbox" id="autoSizingCheck" name="available" [(ngModel)]="available">
        <label class="form-check-label" for="autoSizingCheck">
          Disponibles
        </label>
      </div>
    </div>
    <div class="col-auto">
      <button type="button" (click)="filterProducts()" class="btn btn-primary mb-2 btn-sm">Filtrar</button>
    </div>
    <div class="col-auto">
      <div class="dropdown">
        <button type="button" class="btn btn-sm btn-outline-primary mb-2 dropdown-toggle" data-toggle="dropdown">
          Ordernar
        </button>
        <div class="dropdown-menu">
          <ng-container *ngFor="let orderField of orderFields">
            <a class="dropdown-item" (click)="orderProducts(orderField.value)">{{orderField.name}}</a>
          </ng-container>
        </div>
      </div>
    </div>

    
  </div>
  
</form>
